Retrieve
curl --request GET \
--url https://{defaultHost}/v1/shipping_providers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/shipping_providers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/shipping_providers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "2f4e6ee3-e054-4899-8993-f2b956b1e32e",
"object": "shipping_provider",
"approved": true,
"enabled": true,
"live_mode": false,
"provider_type": "shippo",
"created_at": 1787228490,
"updated_at": 1787228490
}Shipping Providers
Retrieve
Retrieves details of a specific shipping provider.
GET
/
v1
/
shipping_providers
/
{id}
Retrieve
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
Whether or not this shipping provider has been verified and approved.
Whether or not this shipping provider is enabled.
Whether or not this shipping provider is in live mode.
The type of shipping provider – currently only shippo.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?